<?xml version="1.0" encoding="utf-8" standalone="yes" ?>
<floater
 legacy_header_height="18"
 positioning="centered"
 border="false"
 can_close="false"
 can_minimize="false"
 height="110"
 layout="topleft"
 name="modal container"
 width="200">
   <button
     height="1"
     label=""
     image_selected="transparent.j2c"
     image_unselected="transparent.j2c"
     layout="topleft"
     left="10"
     name="FocusButton"
     top_pad="2"
     width="10" />
    <text
     type="string"
     halign="center"
     length="1"
     follows="left|top"
     height="14"
     layout="topleft"
     left="0"
     name="Save item as:"
     top="25"
     word_wrap="true"
     width="200">
        Select an action and press a key.
    </text>
    <text
     type="string"
     halign="center"
     length="1"
     follows="left|top"
     height="14"
     layout="topleft"
     left="0"
     name="key_display"
     top_pad="0"
     word_wrap="true"
     width="200">
        [KEY] + [MASK]
    </text>
    <check_box
   height="16"
   initial_value="false"
   label="⌊Ctrl⌉"
   layout="topleft"
   left="7"
   name="CTRL"
   top_pad="2"
   width="60" >
   <check_box.commit_callback
      function="Set.Masks"/>
   </check_box>
    <check_box
   height="16"
   initial_value="false"
   label="⌊Shift⌉"
   layout="topleft"
   left_pad="10"
   name="SHIFT"
   top_delta="0"
   width="60" >
   <check_box.commit_callback
      function="Set.Masks"/>
   </check_box>
    <check_box
   height="16"
   initial_value="false"
   label="⌊Alt⌉"
   layout="topleft"
   left_pad="10"
   name="ALT"
   top_delta="0"
   width="60" >
   <check_box.commit_callback
      function="Set.Masks"/>
   </check_box>
    <button
     height="23"
     label="Cancel"
     label_selected="Cancel"
     layout="topleft"
     left="10"
     name="Cancel"
     top_pad="7"
     width="90" >
      <button.commit_callback
      function="Set.Cancel"/>
   </button>
    <button
     height="23"
     label="Bind"
     label_selected="Bind"
     layout="topleft"
     left_pad="1"
     name="Bind"
     top_delta="0"
     width="90" >
    <button.commit_callback
      function="Set.Bind"/>
   </button>
    <combo_box
	follows="top|left"
	layout="topleft"
	left="10"
	height="20"
 visible="false"
 label="Select Action"
	tool_tip="This dropdown allows you to select the action you want to add to the above list with the 'Add New' button."
	name="bind_action_1"
	allow_text_entry="true"
	top="1"
	width="189">
  <combo_box.item
  label="Move Left"
  name="slide_left"
  value="slide_left" />
  <combo_box.item
  label="Move Right"
  name="slide_right"
  value="slide_right" />
  <combo_box.item
  label="Move Forward"
  name="push_forward"
  value="push_forward" />
  <combo_box.item
  label="Move Backwards"
  name="push_backward"
  value="push_backward" />
  <combo_box.item
  label="Turn Left"
  name="turn_left"
  value="turn_left" />
  <combo_box.item
  label="Turn Right"
  name="turn_right"
  value="turn_right" />
  <combo_box.item
  label="Jump"
  name="jump"
  value="jump" />
  <combo_box.item
  label="Crouch"
  name="push_down"
  value="push_down" />
  <combo_box.item
  label="Fly"
  name="toggle_fly"
  value="toggle_fly" />
  <combo_box.item
  label="Stop Movement"
  name="stop_moving"
  value="stop_moving" />
  <combo_box.item
  label="                 Misc"
  enabled="false"
  value="menu_separator" />
  <combo_box.item
  label="Start Chat"
  name="start_chat"
  value="start_chat" />
  <combo_box.item
  label="Start Gesture"
  name="start_gesture"
  value="start_gesture" />
  <combo_box.item
  label="             Camera"
  enabled="false"
  value="menu_separator" />
  <combo_box.item
  label="Zoom In"
  name="move_forward"
  value="move_forward" />
  <combo_box.item
  label="Zoom Out"
  name="move_backward"
  value="move_backward" />
  <combo_box.item
  label="Move Left"
  name="pan_left"
  value="pan_left" />
  <combo_box.item
  label="Move Right"
  name="pan_right"
  value="pan_right" />
  <combo_box.item
  label="Move Up"
  name="pan_up"
  value="pan_up" />
  <combo_box.item
  label="Move Down"
  name="pan_down"
  value="pan_down" />
  <combo_box.item
  label="Spin Right"
  name="spin_around_ccw"
  value="spin_around_ccw" />
  <combo_box.item
  label="Spin Left"
  name="spin_around_cw"
  value="spin_around_cw" />
  <combo_box.item
  label="Spin Over"
  name="spin_over"
  value="spin_over" />
  <combo_box.item
  label="Spin Under"
  name="spin_under"
  value="spin_under" />
  <combo_box.item
  label="Roll Left"
  name="roll_left"
  value="roll_left" />
  <combo_box.item
  label="Roll Right"
  name="roll_right"
  value="roll_right" />
		<combo_box.combo_button
		image_unselected="ComboToolbarButton_Off"
		image_selected="ComboToolbarButton_Selected"
		image_pressed="ComboToolbarButton_Selected" 
		image_pressed_selected="ComboToolbarButton_Selected"/>
		<combo_box.drop_down_button
		image_unselected="ComboToolbarButton_Off"
		image_selected="ComboToolbarButton_Selected"
		image_pressed="ComboToolbarButton_Selected" 
		image_pressed_selected="ComboToolbarButton_Selected"
		image_disabled="ComboToolbarButton_Disabled"/>
  <combo_box.commit_callback
  function="Set.Action"/>
	</combo_box>
 <combo_box
	follows="top|left"
	layout="topleft"
	left="10"
	height="20"
 visible="false"
 label="Select Action"
	name="bind_action_0"
	tool_tip="This dropdown allows you to select the action you want to add to the above list with the 'Add New' button."
	allow_text_entry="true"
	top_delta="0"
	width="189">
  <combo_box.item
  label="Move Left"
  name="slide_left"
  value="slide_left" />
  <combo_box.item
  label="Move Right"
  name="slide_right"
  value="slide_right" />
  <combo_box.item
  label="Move Forward"
  name="push_forward"
  value="push_forward" />
  <combo_box.item
  label="Move Backwards"
  name="push_backward"
  value="push_backward" />
  <combo_box.item
  label="Turn Left"
  name="turn_left"
  value="turn_left" />
  <combo_box.item
  label="Turn Right"
  name="turn_right"
  value="turn_right" />
  <combo_box.item
  label="Jump"
  name="jump"
  value="jump" />
  <combo_box.item
  label="Crouch"
  name="push_down"
  value="push_down" />
  <combo_box.item
  label="Fly"
  name="toggle_fly"
  value="toggle_fly" />
  <combo_box.item
  label="Stop Movement"
  name="stop_moving"
  value="stop_moving" />
  <combo_box.item
  label="                 Misc"
  enabled="false"
  value="menu_separator" />
  <combo_box.item
  label="Start Chat"
  name="start_chat"
  value="start_chat" />
  <combo_box.item
  label="Start Gesture"
  name="start_gesture"
  value="start_gesture" />
  <combo_box.item
  label="             Camera"
  enabled="false"
  value="menu_separator" />
  <combo_box.item
  label="Roll Left"
  name="roll_left"
  value="roll_left" />
  <combo_box.item
  label="Roll Right"
  name="roll_right"
  value="roll_right" />
		<combo_box.combo_button
		image_unselected="ComboToolbarButton_Off"
		image_selected="ComboToolbarButton_Selected"
		image_pressed="ComboToolbarButton_Selected" 
		image_pressed_selected="ComboToolbarButton_Selected"/>
		<combo_box.drop_down_button
		image_unselected="ComboToolbarButton_Off"
		image_selected="ComboToolbarButton_Selected"
		image_pressed="ComboToolbarButton_Selected" 
		image_pressed_selected="ComboToolbarButton_Selected"
		image_disabled="ComboToolbarButton_Disabled"/>
  <combo_box.commit_callback
  function="Set.Action"/>
	</combo_box>
 <combo_box
	follows="top|left"
	layout="topleft"
	left="10"
	height="20"
 visible="false"
 label="Select Action"
	name="bind_action_2"
	tool_tip="This dropdown allows you to select the action you want to add to the above list with the 'Add New' button."
	allow_text_entry="true"
	top_delta="0"
	width="189">
  <combo_box.item
  label="Move Left"
  name="slide_left"
  value="slide_left" />
  <combo_box.item
  label="Move Right"
  name="slide_right"
  value="slide_right" />
  <combo_box.item
  label="Move Forward"
  name="push_forward"
  value="push_forward" />
  <combo_box.item
  label="Move Backwards"
  name="push_backward"
  value="push_backward" />
  <combo_box.item
  label="Turn Left"
  name="turn_left"
  value="turn_left" />
  <combo_box.item
  label="Turn Right"
  name="turn_right"
  value="turn_right" />
  <combo_box.item
  label="Jump"
  name="jump"
  value="jump" />
  <combo_box.item
  label="Crouch"
  name="push_down"
  value="push_down" />
  <combo_box.item
  label="Fly"
  name="toggle_fly"
  value="toggle_fly" />
  <combo_box.item
  label="Stop Movement"
  name="stop_moving"
  value="stop_moving" />
  <combo_box.item
  label="                 Misc"
  enabled="false"
  value="menu_separator" />
  <combo_box.item
  label="Start Chat"
  name="start_chat"
  value="start_chat" />
  <combo_box.item
  label="Start Gesture"
  name="start_gesture"
  value="start_gesture" />
  <combo_box.item
  label="             Camera"
  enabled="false"
  value="menu_separator" />
  <combo_box.item
  label="Zoom In"
  name="move_forward"
  value="move_forward" />
  <combo_box.item
  label="Zoom Out"
  name="move_backward"
  value="move_backward" />
  <combo_box.item
  label="Move Left"
  name="pan_left"
  value="pan_left" />
  <combo_box.item
  label="Move Right"
  name="pan_right"
  value="pan_right" />
  <combo_box.item
  label="Move Up"
  name="pan_up"
  value="pan_up" />
  <combo_box.item
  label="Move Down"
  name="pan_down"
  value="pan_down" />
  <combo_box.item
  label="Spin Right"
  name="spin_around_ccw"
  value="spin_around_ccw" />
  <combo_box.item
  label="Spin Left"
  name="spin_around_cw"
  value="spin_around_cw" />
  <combo_box.item
  label="Spin Over"
  name="spin_over"
  value="spin_over" />
  <combo_box.item
  label="Spin Under"
  name="spin_under"
  value="spin_under" />
  <combo_box.item
  label="Roll Left"
  name="roll_left"
  value="roll_left" />
  <combo_box.item
  label="Roll Right"
  name="roll_right"
  value="roll_right" />
		<combo_box.combo_button
		image_unselected="ComboToolbarButton_Off"
		image_selected="ComboToolbarButton_Selected"
		image_pressed="ComboToolbarButton_Selected" 
		image_pressed_selected="ComboToolbarButton_Selected"/>
		<combo_box.drop_down_button
		image_unselected="ComboToolbarButton_Off"
		image_selected="ComboToolbarButton_Selected"
		image_pressed="ComboToolbarButton_Selected" 
		image_pressed_selected="ComboToolbarButton_Selected"
		image_disabled="ComboToolbarButton_Disabled"/>
  <combo_box.commit_callback
  function="Set.Action"/>
	</combo_box>
 <combo_box
	follows="top|left"
	layout="topleft"
	left="10"
	height="20"
 visible="false"
 label="Select Action"
	name="bind_action_3"
	tool_tip="This dropdown allows you to select the action you want to add to the above list with the 'Add New' button."
	allow_text_entry="true"
	top_delta="0"
	width="189">
  <combo_box.item
  label="Move Forward"
  name="edit_avatar_move_forward"
  value="edit_avatar_move_forward" />
  <combo_box.item
  label="Move Backwards"
  name="edit_avatar_move_backward"
  value="edit_avatar_move_backward" />
  <combo_box.item
  label="Spin Right"
  name="edit_avatar_spin_ccw"
  value="edit_avatar_spin_ccw" />
  <combo_box.item
  label="Spin Left"
  name="edit_avatar_spin_cw"
  value="edit_avatar_spin_cw" />
  <combo_box.item
  label="Spin Over"
  name="edit_avatar_spin_over"
  value="edit_avatar_spin_over" />
  <combo_box.item
  label="Spin Under"
  name="edit_avatar_spin_under"
  value="edit_avatar_spin_under" />
  <combo_box.item
  label="                 Misc"
  enabled="false"
  value="menu_separator" />
  <combo_box.item
  label="Start Chat"
  name="start_chat"
  value="start_chat" />
  <combo_box.item
  label="Start Gesture"
  name="start_gesture"
  value="start_gesture" />
		<combo_box.combo_button
		image_unselected="ComboToolbarButton_Off"
		image_selected="ComboToolbarButton_Selected"
		image_pressed="ComboToolbarButton_Selected" 
		image_pressed_selected="ComboToolbarButton_Selected"/>
		<combo_box.drop_down_button
		image_unselected="ComboToolbarButton_Off"
		image_selected="ComboToolbarButton_Selected"
		image_pressed="ComboToolbarButton_Selected" 
		image_pressed_selected="ComboToolbarButton_Selected"
		image_disabled="ComboToolbarButton_Disabled"/>
  <combo_box.commit_callback
  function="Set.Action"/>
	</combo_box>
 <combo_box
	follows="top|left"
	layout="topleft"
	left="10"
	height="20"
 visible="false"
 label="Select Action"
	name="bind_action_4"
	tool_tip="This dropdown allows you to select the action you want to add to the above list with the 'Add New' button."
	allow_text_entry="true"
	top_delta="0"
	width="189">
  <combo_box.item
  label="Move Forward"
  name="move_forward_sitting"
  value="move_forward_sitting" />
  <combo_box.item
  label="Move Backwards"
  name="move_backward_sitting"
  value="move_backward_sitting" />
  <combo_box.item
  label="Spin Right"
  name="spin_around_ccw_sitting"
  value="spin_around_ccw_sitting" />
  <combo_box.item
  label="Spin Left"
  name="spin_around_cw_sitting"
  value="spin_around_cw_sitting" />
  <combo_box.item
  label="Spin Over"
  name="spin_over_sitting"
  value="spin_over_sitting" />
  <combo_box.item
  label="Spin Under"
  name="spin_under_sitting"
  value="spin_under_sitting" />
  <combo_box.item
  label="Roll Left"
  name="roll_left"
  value="roll_left" />
  <combo_box.item
  label="Roll Right"
  name="roll_right"
  value="roll_right" />
		<combo_box.item
  label="         Vehicle Specific"
  enabled="false"
  value="menu_separator" />
		<combo_box.item
  label="Move Left"
  name="slide_left"
  value="slide_left" />
  <combo_box.item
  label="Move Right"
  name="slide_right"
  value="slide_right" />
  <combo_box.item
  label="                 Misc"
  enabled="false"
  value="menu_separator" />
  <combo_box.item
  label="Start Chat"
  name="start_chat"
  value="start_chat" />
  <combo_box.item
  label="Start Gesture"
  name="start_gesture"
  value="start_gesture" />
		<combo_box.combo_button
		image_unselected="ComboToolbarButton_Off"
		image_selected="ComboToolbarButton_Selected"
		image_pressed="ComboToolbarButton_Selected" 
		image_pressed_selected="ComboToolbarButton_Selected"/>
		<combo_box.drop_down_button
		image_unselected="ComboToolbarButton_Off"
		image_selected="ComboToolbarButton_Selected"
		image_pressed="ComboToolbarButton_Selected" 
		image_pressed_selected="ComboToolbarButton_Selected"
		image_disabled="ComboToolbarButton_Disabled"/>
  <combo_box.commit_callback
  function="Set.Action"/>
	</combo_box>
</floater>
